//------------------------------------------------------------------------------------------------
//
//   Greg's Mod Base - GUI Button Widget
//
//------------------------------------------------------------------------------------------------

package gcewing.projectblue;

import gcewing.projectblue.BaseGui.Action;
import gcewing.projectblue.BaseGui.Widget;
import gcewing.projectblue.BaseGui.IWidgetContainer;

public class BaseGuiButtons {

	public class Button extends Widget {
	
		protected GuiButton base;
		protected IWidgetContainer parent;
		public int left, top;
		public Action action;
		
		public BaseGuiButton(int width, int height, String title, Action action) {
			super(width, height);
			this.base = new GuiButton(0, 0, width, height, title);
			this.action = action;
		}
		
		@Override
		public void draw(Screen scr, int mouseX, int mouseY) {
			base.drawButton(Minecraft.getMinecraft(), mouseX, mouseY);
		}
		
		@Override
		public void mousePressed(MouseCoords m, int button) {
			base.mousePressed(Minecraft.getMinecraft(), m.x, m.y, button);
		}
		
		@Override
		public void mouseReleased(MouseCoords m, int button) {
			if (action != null)
				action.perform();
		}
	
	}
		
}
